# tamem-scss

[![Gem Version](https://badge.fury.io/rb/tamem-scss.svg)](https://badge.fury.io/rb/tamem-scss)
[![npm version](https://badge.fury.io/js/tamem-scss.svg)](https://badge.fury.io/js/tamem-scss)
[![Bower version](https://badge.fury.io/bo/tamem-scss.svg)](https://badge.fury.io/bo/tamem-scss)

Tamem-scss is cross browser helper for sass. You can enjoy coding without create vendor prefix :D

## Installation
[Bower](https://bower.io/) `bower install tamem-scss --save`

[Npm](https://www.npmjs.com/package/tamem-scss) `npm install tamem-scss --save-dev`

[Gem](https://rubygems.org/gems/tamem-scss) `gem install tamem-scss`

Or you can direct download from this repo and extract into your sass project.

Check the [documentation](https://fesuydev.github.io/tamem-scss/)

## How to use
Tamem-scss is a collection of several mixins.
You only need to include Tamem-scss into your sass project.
```
@import "somedir/tamem";

// and then call some tamem helper
.box {
  @include size(20px, 30px);
  @include margin-vertical(10px);
}
```

### Features
- align-content
- align-items
- align-self
- display-flex
- display-inline-flex
- flex
- flex-basis
- flex-direction
- flex-flow
- flex-grow
- flex-shrink
- flex-wrap
- justify-content
- keyframes
- order
- rounded
- left-rounded
- right-rounded
- top-rounded
- bottom-rounded
- perspective
- perspective-origin
- rotate
- rotate3d
- rotateX
- rotateY
- rotateZ
- skew
- skew3d
- skewX
- skewY
- scale
- scale3d
- scaleX
- scaleY
- scaleZ
- size
- square
- transform
- transform-origin
- transform-style
- translate
- translate3d
- translateX
- translateY
- translateZ
- transition
- transition-delay
- transition-duration
- transition-property
- transition-timing-function

#### Another helper features
- box-shadow
- box-sizing
- create-grid
- create-grid-offset
- clearfix
- font-face-src
- margin-vertical
- margin-horizontal
- opacity
- padding-vertical
- padding-horizontal
- text-overflow
- size
- strip-unit
- square
- user-select

#### Notes
if you want using clearfix you have 2 ways to do that
You can use `@extend %clearfix` or `@include clearfix`

#### License
Tamem-scss is open-sourced software licensed under the [MIT License](http://opensource.org/licenses/MIT)
